.\" ** You probably do not want to edit this file directly **
.\" It was generated using the DocBook XSL Stylesheets (version 1.69.0).
.\" Instead of manually editing it, you probably should edit the DocBook XML
.\" source for it and then use the DocBook XSL Stylesheets to regenerate it.
.TH "DIA" "1" "2004\-11\-26" "" ""
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.SH "NAME"
dia \- a diagram drawing program
.SH "SYNOPSIS"
.HP 4
\fBdia\fR [\fB\-c\fR] [\fB\-\-credits\fR] [\fB\-e\ \fR\fB\fIOUTPUT\fR\fR] [\fB\-\-export=\fR\fB\fIOUTPUT\fR\fR] [\fB\-L\ \fR\fB\fILAYER,LAYER,...\fR\fR] [\fB\-\-show\-layers=\fR\fB\fILAYER,LAYER,...\fR\fR] [\fB\-h\fR] [\fB\-\-help\fR] [\fB\-n\fR] [\fB\-\-nosplash\fR] [\fB\-s\ \fR\fB\fIWxH\fR\fR] [\fB\-\-size=\fR\fB\fIWxH\fR\fR] [\fB\-t\ \fR\fB\fIFORMAT\fR\fR] [\fB\-\-filter=\fR\fB\fIFORMAT\fR\fR] [\fB\-v\fR] [\fB\-\-version\fR] [file\ ...]
.SH "DESCRIPTION"
.PP
\fBDia\fR 
is used to create diagrams. Dia has a number of basic tools, like lines and boxes but can also dynamically load 
\fIsheets\fR. A sheet is a collection of tools that are used in a certain type of diagram.
.PP
Most diagram objects in 
\fBDia\fR 
have 
\fIconnection points\fR. Lines can be connected to these connection points and this way graph structures can be formed. When objects are moved or resized the connections will follow the objects.
.PP
Diagrams drawn in 
\fBDia\fR 
can be exported PostScript.
.SH "OPTIONS"
.PP
\fBDia\fR 
accepts the following options:
.TP
\fB\-c\fR \fB\-\-credits\fR
Display credits list and exit.
.TP
\fB\-e \fR\fB\fIOUTPUT\fR\fR \fB\-\-export=\fR\fB\fIOUTPUT\fR\fR
Export loaded file to OUTPUT and exit.
.TP
\fB\-h\fR \fB\-\-help\fR
Display a list of all commandline options.
.TP
\fB\-n\fR \fB\-\-nosplash\fR
Do not show the splash screen.
.TP
\fB\-s \fR\fB\fIWxH\fR\fR \fB\-\-size=\fR\fB\fIWxH\fR\fR
Export loaded file in decimal given width and/or height. It is allowed to only select width or height. E.g. 
\fB\-\-size=\fR\fB\fI520x\fR\fR 
exports an image that is 520 pixels wide, while 
\fB\-\-size=\fR\fB\fIx900\fR\fR 
exports an image of 900 pixels height.
.sp
.it 1 an-trap
.nr an-no-space-flag 1
.nr an-break-flag 1
.br
\fBNote\fR
This option is currently only implemented for the PNG export filter.
.TP
\fB\-L \fR\fB\fILAYER,LAYER,...\fR\fR \fB\-\-show\-layers=\fR\fB\fILAYER,LAYER,...\fR\fR
Only include specified layers when exporting. Layers can be specified either as a layer name, the layer number or a numeric range X\-Y of layers. \-\-show\-layers=background,2\-5 shows the layer named background and layers 2\-5, \-\-show\-layers=2\- shows layers 2 and up.
.TP
\fB\-t \fR\fB\fIFORMAT\fR\fR \fB\-\-export\-to\-format=\fR\fB\fIFORMAT\fR\fR
Export loaded file in FORMAT and exit. Format are described below.
.TP
\fB\-v\fR \fB\-\-version\fR
Display 
\fBdia\fR 
version and exit.
.SH "EXPORT FORMATS"
.PP
The following export formats are supported by 
\fBdia\fR.
.TP 3
\(bu
cgm 
(Computer Graphics Metafile, ISO 8632)
.TP
\(bu
dia 
(Native dia diagram)
.TP
\(bu
dxf 
(Drawing Interchange File)
.TP
\(bu
eps 
or 
eps\-builtin 
or 
eps\-pango 
(Encapsulated PostScript)

The format specifications 
eps 
and 
eps\-pango 
both use the font renderer of the Pango library, while 
eps\-builtin 
uses a dia specific font renderer. If you have problems with Pango rendering, e.g. Unicode, try 
eps\-builtin 
instead.
.TP
\(bu
fig 
(XFig format)
.TP
\(bu
mp 
(TeX MetaPost macros)
.TP
\(bu
plt 
or 
hpgl 
(HP Graphics Language)
.TP
\(bu
png 
(Portable Network Graphics)
.TP
\(bu
shape 
(Dia Shape File)
.TP
\(bu
svg 
(Scalable Vector Graphics)
.TP
\(bu
tex 
(TeX PSTricks macros)
.TP
\(bu
wpg 
(WordPerfect Graphics)
.TP
\(bu
wmf 
(Windows MetaFile)
.SH "FILES"
.PP
\fBdia\fR 
creates a directory 
\fI.dia\fR 
in the user's home, which contains different files to store user preferences. To reset 
\fBdia\fR 
to it's default behaviour, just remove the respective file:
.TP 3
\(bu
\fIdefaults.dia\fR: contains default values for elements (XML format).
.TP
\(bu
\fIdiarc\fR: keeps 
\fBdia\fR 
preferences (ASCII).
.TP
\(bu
\fIhistory\fR: keeps the list of last edited diagrams (ASCII).
.TP
\(bu
\fImenurc\fR: contains an automated accelerator map dump (Lisp).
.TP
\(bu
\fIpersistence\fR: contains GUI information, e.g. open windows (XML).
.TP
\(bu
\fIpluginrc\fR: the list of loaded plugins (XML).
.SH "SEE ALSO"
.PP
[1]\&\fIPango\fR
.PP
X (1)
.PP
xfig (1)
.PP
inkscape (1)
.SH "COPYRIGHT"
.PP
Copyright 1999 Alexander Larsson.
.PP
Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.
.SH "AUTHORS"
.PP
Alexander Larsson
.PP
This manual was written by 
Fredrik Hallenberg.
.SH "AUTHOR"
Fredrik Hallenberg <hallon@lysator.liu.se>, W. Borgert <debacle@debian.org>, Alan Horkan <horkana@tcd.ie>. 
.SH "REFERENCES"
.TP 3
1.\ Pango
\%http://www.pango.org/
